#if !defined(AFX_ICUBESDKVIDCONTROLDLG_H__1B69A0A8_3C32_4BE8_B8B8_FFC9D93D2F19__INCLUDED_)
#define AFX_ICUBESDKVIDCONTROLDLG_H__1B69A0A8_3C32_4BE8_B8B8_FFC9D93D2F19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ICubeSDKVidControlDlg.h : Header-Datei
//
#define WM_VIDCONTROL_DLG	WM_USER+ 0x34
/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CICubeSDKVidControlDlg 

class CICubeSDKVidControlDlg : public CDialog
{
// Konstruktion
public:
	CICubeSDKVidControlDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	CWnd*   m_pParent;
	
	int InitControl(int nType,int ID_SLDR,int ID_EDIT,
					int ID_AUTO=0,int ID_ONEPUSH=0,int ID_SLDR_H=0,int ID_ENABLE=0);
	int SetControl(int nType,int ID_EDIT,int nNewVal,int nNewValH=0,bool b2Vals=false);
	int SetControlToDefault(int nType,int ID_SLDR,int ID_EDIT,int ID_AUTO=0,int ID_SLDR_H=0,int ID_ENABLE=0);
	void ShowExposureMsec(void);
	void ShowGamma(int nVal);

// Dialogfelddaten
	//{{AFX_DATA(CICubeSDKVidControlDlg)
	enum { IDD = IDD_DIALOG_VID_CONTROLS };
	CComboBox	m_Combo_GammaMode;
	//}}AFX_DATA


// Überschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsüberschreibungen
	//{{AFX_VIRTUAL(CICubeSDKVidControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	bool bExposureSliderH;
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CICubeSDKVidControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonDefault();
	virtual void OnCancel();
	afx_msg void OnButtonWbOnePush();
	afx_msg void OnCheckExposuretime();
	afx_msg void OnCheckBlacklevel();
	afx_msg void OnCheckEnableColorProcessing();
	afx_msg void OnCheckEnableGamma();
	afx_msg void OnCheckEnableColorCorrection();
	afx_msg void OnCheckEnableTnr();
	afx_msg void OnRADIOBAYER3x3();
	afx_msg void OnRADIOBAYER5x5();
	afx_msg void OnCheckEnableInvertPixel();
	afx_msg void OnSelchangeComboGammaMode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // AFX_ICUBESDKVIDCONTROLDLG_H__1B69A0A8_3C32_4BE8_B8B8_FFC9D93D2F19__INCLUDED_
